Bug 968831 - missing dependency on python-cssselect
missing dependency on python-cssselect
Product: Fedora
Classification: Fedora
Component: python-lxml (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-30 00:36 EDT by Dan Callaghan
Modified: 2013-12-21 12:33 EST (History)
2 users (show)

See Also:
Fixed In Version: python-lxml-3.2.4-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-21 12:33:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-05-30 00:36:27 EDT
Description of problem:
The recent update for lxml is missing a dependency on python-cssselect.

Version-Release number of selected component (if applicable):
$ rpm -q python-lxml python-cssselect
package python-cssselect is not installed

How reproducible:
Always. Does not occur with python-lxml-2.3.5-1.fc18.

Steps to Reproduce:
>>> import lxml.html
>>> tree = lxml.html.fromstring('<html><body><p>Hello</p></body></html>')
>>> tree.cssselect('p')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/lxml/html/__init__.py", line 290, in cssselect
    from lxml.cssselect import CSSSelector
  File "/usr/lib64/python2.7/site-packages/lxml/cssselect.py", line 18, in <module>
    raise ImportError('cssselect seems not to be installed. '
ImportError: cssselect seems not to be installed. See http://packages.python.org/cssselect/

It works after yum install'ing python-cssselect.
Comment 1 Dan Callaghan 2013-09-18 00:33:55 EDT
Ping, this should be a one-line fix, could you please take care of it?
Comment 2 Fedora End Of Life 2013-12-21 08:46:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.